%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Date_Parser
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Date-Parser
Version:        2.0.7
Release:        1%{?dist}
Summary:        Horde Date Parser

Group:          Development/Libraries
License:        LGPLv2
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

#Patch0:         https://github.com/horde/Date_Parser/commit/b452b5aa962b21316492c762639b6b4b659c8c6e.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Date) >= 2.0.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-common >= 5.3.0
Requires:       php-date
#Requires:       php-ereg
Requires:       php-pcre
Requires:       php-spl
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Date) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Support) >= 3.0.0
Requires:       php-channel(%{pear_channel})

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Library for natural-language date parsing, with support for multiple
languages and locales

%prep
%setup -q -c

cd %{pear_name}-%{version}
#%patch0 -p1 -b .ereg
sed -e '/Parser/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)

ret=0
for cmd in php php56 php70 php71 php72; do
  if which $cmd; then
    $cmd %{_bindir}/phpunit -d date.timezone=UTC --bootstrap bootstrap.php . || ret=1
  fi
done
exit $ret


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Date/Parser
%{pear_phpdir}/Horde/Date/Parser.php
%{pear_testdir}/%{pear_name}


%changelog
* Sat Nov 30 2019 josef radinger <cheese@nosuchhost.net> - 2.0.7-1
- bump version
- remove patch0 ereg
- fix check-section

* Tue Feb 06 2018 josef radinger <cheese@nosuchhost.net> - 2.0.6-3
- really disable ereg als Requirement

* Wed Jan 31 2018 josef radinger <cheese@nosuchhost.net> - 2.0.6-2
- disable ereg (Patch0)
- change check-section
- fix md5sum

* Wed Jul 13 2016 josef radinger <cheese@nosuchhost.net> - 2.0.6-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.0.5-1
- bump version
- fix check-section

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.0.4-1
- bump version

* Thu Jan 08 2015 josef radinger <cheese@nosuchhost.net> - 2.0.3-1
- bump version
- rebuild

* Wed Mar 06 2013 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1 for remi repo

* Sun Nov 18 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Initial package
